HMWJGraphInternal::PictureFrame Struct Reference

Internal: the picture frame of a HMWJGraph. More...

Inheritance diagram for HMWJGraphInternal::PictureFrame:

## Public Member Functions

| PictureFrame (Frame const &orig)
| constructor More...
virtual bool | valid () const
| returns true if the frame data are read More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HMWJGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...

## Public Attributes

MWAWEntry | m_entry
| the picture entry More...
long | m_zId
| the picture id More...
Vec2i | m_dim
| the picture size More...
Vec2f | m_scale
| the scale More...
Public Attributes inherited from HMWJGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Detailed Description

Internal: the picture frame of a HMWJGraph.

## Constructor & Destructor Documentation

HMWJGraphInternal::PictureFrame::PictureFrame | ( | Frame const & | orig | ) |

inline

constructor

## Member Function Documentation

std::string HMWJGraphInternal::PictureFrame::print | ( |  | ) | const

inline

print local data

virtual bool HMWJGraphInternal::PictureFrame::valid | ( |  | ) | const

inline virtual

returns true if the frame data are read

Reimplemented from HMWJGraphInternal::Frame.

## Member Data Documentation

Vec2i HMWJGraphInternal::PictureFrame::m_dim

the picture size

Referenced by print().

MWAWEntry HMWJGraphInternal::PictureFrame::m_entry

the picture entry

Referenced by HMWJGraph::readPicture(), HMWJGraph::sendFrame(), and HMWJGraph::sendPictureFrame().

Vec2f HMWJGraphInternal::PictureFrame::m_scale

the scale

Referenced by print().

long HMWJGraphInternal::PictureFrame::m_zId

the picture id

Referenced by print().

The documentation for this struct was generated from the following file:

- HMWJGraph.cxx